org.codehaus.plexus.compiler

## Class CompilerError

- java.lang.Object
- - org.codehaus.plexus.compiler.CompilerMessage
  - - org.codehaus.plexus.compiler.CompilerError

Deprecated.

    @Deprecated
    public class CompilerError
    extends CompilerMessage

This class encapsulates a message from a compiler. This class is deprecated and only exists for backwards compatibility. Clients should be using `CompilerMessage` instead.

Author:
  Andrew Eisenberg

### Nested Class Summary

### Nested classes/interfaces inherited from class org.codehaus.plexus.compiler.CompilerMessage

`CompilerMessage.Kind`

### Constructor Summary

Constructors
Constructor and Description
`CompilerError(String message, boolean error)` Deprecated.

### Method Summary

### Methods inherited from class org.codehaus.plexus.compiler.CompilerMessage

`getEndColumn, getEndLine, getFile, getKind, getMessage, getStartColumn, getStartLine, isError, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CompilerError

    public CompilerError(String message,
                         boolean error)

Deprecated.